'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _rimraf = require('rimraf');

var _rimraf2 = _interopRequireDefault(_rimraf);

var _mkdirp = require('mkdirp');

var _mkdirp2 = _interopRequireDefault(_mkdirp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/**
 * 复制fonts目录下的字体
 * 到contentPath目录下
 */
function copyFonts() {
  var nodeModulesPath = _path2['default'].join(process.cwd(), 'node_modules', 'choerodon-ui-font', 'fonts');
  var distPath = _path2['default'].join(process.cwd(), 'src', 'main', 'resources', 'lib', 'dist', 'dis', 'fonts');
  if (_fsExtra2['default'].existsSync(distPath)) {
    _rimraf2['default'].sync(distPath);
  }
  _mkdirp2['default'].sync(distPath);
  ['icomoon.eot', 'icomoon.svg', 'icomoon.ttf', 'icomoon.woff'].forEach(function (font) {
    var from = _path2['default'].join(nodeModulesPath, font);
    var to = _path2['default'].join(distPath, font);
    _fsExtra2['default'].copySync(from, to);
  });
}

exports['default'] = copyFonts;